Index: code/branches/FICN/src/audio/AudioBuffer.cc
===================================================================
--- code/branches/FICN/src/audio/AudioBuffer.cc	(revision 512)
+++ code/branches/FICN/src/audio/AudioBuffer.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "AudioBuffer.h"
 
@@ -18,11 +45,11 @@
 		if(alGetError() != AL_NO_ERROR)
 			loaded=AL_FALSE;
-	
+
 		loaded=AL_TRUE;
 	}
-	
+
 	AudioBuffer::~AudioBuffer()
 	{
-		
+
 	}
 }
Index: code/branches/FICN/src/audio/AudioManager.cc
===================================================================
--- code/branches/FICN/src/audio/AudioManager.cc	(revision 512)
+++ code/branches/FICN/src/audio/AudioManager.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "AudioManager.h"
 
Index: code/branches/FICN/src/audio/AudioSource.cc
===================================================================
--- code/branches/FICN/src/audio/AudioSource.cc	(revision 512)
+++ code/branches/FICN/src/audio/AudioSource.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "AudioSource.h"
 
@@ -7,8 +34,8 @@
 
 	}
-	
+
 	AudioSource::~AudioSource()
 	{
-		
+
 	}
 }
Index: code/branches/FICN/src/audio/AudioStream.cc
===================================================================
--- code/branches/FICN/src/audio/AudioStream.cc	(revision 512)
+++ code/branches/FICN/src/audio/AudioStream.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 
 #include "AudioStream.h"
@@ -8,5 +35,5 @@
 		this->path = path;
 		loaded = false;
-	}	
+	}
 
 	void AudioStream::open()
@@ -14,5 +41,5 @@
 	    int result;
 
-	    
+
 	    if(!(oggFile = fopen(path.c_str(), "rb")))
 			{
@@ -23,5 +50,5 @@
 	    if((result = ov_open(oggFile, &oggStream, NULL, 0)) < 0)
 	    {
-        fclose(oggFile);	        
+        fclose(oggFile);
 	      orxonox::Error("Could not open Ogg stream. " + errorString(result));
 				return;
@@ -29,19 +56,19 @@
 
 			loaded = true;
-	
+
 	    vorbisInfo = ov_info(&oggStream, -1);
 	    vorbisComment = ov_comment(&oggStream, -1);
-	
+
 	    if(vorbisInfo->channels == 1)
 	        format = AL_FORMAT_MONO16;
 	    else
 	        format = AL_FORMAT_STEREO16;
-	        
-	        
+
+
 	    alGenBuffers(2, buffers);
 	    check();
 	    alGenSources(1, &source);
 	    check();
-	    
+
 	    alSource3f(source, AL_POSITION,        0.0, 0.0, 0.0);
 	    alSource3f(source, AL_VELOCITY,        0.0, 0.0, 0.0);
@@ -50,8 +77,8 @@
 	    alSourcei (source, AL_SOURCE_RELATIVE, AL_FALSE      );
 	}
-	
-	
-	
-	
+
+
+
+
 	void AudioStream::release()
 	{
@@ -63,13 +90,13 @@
 	    alDeleteBuffers(1, buffers);
 	    check();
-	
+
 	    ov_clear(&oggStream);
 			loaded = false;
-		
-	}
-	
-	
-	
-	
+
+	}
+
+
+
+
 	void AudioStream::display()
 	{
@@ -86,15 +113,15 @@
 	        << "\n"
 	        << "vendor " << vorbisComment->vendor << "\n";
-	        
+
 	    for(int i = 0; i < vorbisComment->comments; i++)
 	        std::cout << "   " << vorbisComment->user_comments[i] << "\n";
-	        
-	    std::cout << std::endl;	
+
+	    std::cout << std::endl;
 		}
 	}
-	
-	
-	
-	
+
+
+
+
 	bool AudioStream::playback()
 	{
@@ -106,20 +133,20 @@
 	    if(playing())
 	        return true;
-	        
+
 	    if(!stream(buffers[0]))
 	        return false;
-	        
+
 	    if(!stream(buffers[1]))
 	        return false;
-	    
+
 	    alSourceQueueBuffers(source, 2, buffers);
 	    alSourcePlay(source);
-	    
+
 	    return true;
 	}
-	
-	
-	
-	
+
+
+
+
 	bool AudioStream::playing()
 	{
@@ -133,28 +160,28 @@
 	    return (state == AL_PLAYING);
 	}
-	
-	
-	
-	
+
+
+
+
 	bool AudioStream::update()
 	{
 	    int processed;
 	    bool active = true;
-	
+
 	    alGetSourcei(source, AL_BUFFERS_PROCESSED, &processed);
-	
+
 	    while(processed--)
 	    {
 	        ALuint buffer;
-	        
+
 	        alSourceUnqueueBuffers(source, 1, &buffer);
 	        check();
-	
+
 	        active = stream(buffer);
-	
+
 	        alSourceQueueBuffers(source, 1, &buffer);
 	        check();
 	    }
-	
+
 			if (active==false)
 			{
@@ -163,8 +190,8 @@
 	    return active;
 	}
-	
-	
-	
-	
+
+
+
+
 	bool AudioStream::stream(ALuint buffer)
 	{
@@ -173,9 +200,9 @@
 	    int  section;
 	    int  result;
-	
+
 	    while(size < BUFFER_SIZE)
 	    {
 	        result = ov_read(&oggStream, pcm + size, BUFFER_SIZE - size, 0, 2, 1, &section);
-	    
+
 	        if(result > 0)
 	            size += result;
@@ -186,44 +213,44 @@
 	                break;
 	    }
-	    
+
 	    if(size == 0)
 	        return false;
-	        
+
 	    alBufferData(buffer, format, pcm, size, vorbisInfo->rate);
 	    check();
-	    
+
 	    return true;
 	}
-	
-	
+
+
 
 	void AudioStream::empty()
 	{
 	    int queued;
-	    
+
 	    alGetSourcei(source, AL_BUFFERS_QUEUED, &queued);
-	    
+
 	    while(queued--)
 	    {
 	        ALuint buffer;
-	    
+
 	        alSourceUnqueueBuffers(source, 1, &buffer);
 	        check();
 	    }
 	}
-	
-	
-	
-	
+
+
+
+
 	void AudioStream::check()
 	{
 		int error = alGetError();
-	
+
 		if(error != AL_NO_ERROR)
 			orxonox::Error("OpenAL error was raised.");
 	}
-	
-	
-	
+
+
+
 	std::string AudioStream::errorString(int code)
 	{
Index: code/branches/FICN/src/audio/_AudioObject.cc
===================================================================
--- code/branches/FICN/src/audio/_AudioObject.cc	(revision 512)
+++ code/branches/FICN/src/audio/_AudioObject.cc	(revision 513)
@@ -1,2 +1,30 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
 #include <iostream>
 #include <string>
@@ -33,14 +61,14 @@
 
 		// Initialize OpenAL and clear the error bit.
-	
+
 		alutInit(NULL, 0);
 		alGetError();
-	
+
 		// Load the wav data.
-	
+
 		if(LoadALData() == AL_FALSE)
 		{
 		    printf("Error loading sound data.");
-			
+
 		}
 
@@ -48,10 +76,10 @@
 		std::cout << "Play sone ambient background sound";
 	}
-	
+
 	AudioObject::~AudioObject()
-	{	
+	{
 		KillALData();
 	}
-	
+
 	ALboolean AudioObject::LoadALData()
 	{
@@ -61,20 +89,20 @@
 		ALsizei freq;
 		ALboolean loop;
-	
-	
+
+
 		alGenBuffers(1, &Buffer);
-	
+
 		if(alGetError() != AL_NO_ERROR)
 			return AL_FALSE;
-	
+
 		alutLoadWAVFile((ALbyte*)audioFile_.c_str(), &format, &data, &size, &freq, &loop);
 		alBufferData(Buffer, format, data, size, freq);
 		alutUnloadWAV(format, data, size, freq);
-	
+
 		alGenSources(1, &Source);
-	
+
 		if(alGetError() != AL_NO_ERROR)
 			return AL_FALSE;
-	
+
 		alSourcei (Source, AL_BUFFER,   Buffer   );
 		alSourcef (Source, AL_PITCH,    1.0      );
@@ -83,11 +111,11 @@
 		alSourcefv(Source, AL_VELOCITY, SourceVel);
 		alSourcei (Source, AL_LOOPING,  loop     );
-	
+
 		if(alGetError() == AL_NO_ERROR)
 			return AL_TRUE;
-	
-	
+
+
 		return AL_FALSE;
-	}	
+	}
 
 	void AudioObject::SetListenerValues()
@@ -97,5 +125,5 @@
 		alListenerfv(AL_ORIENTATION, ListenerOri);
 	}
-	
+
 	void AudioObject::KillALData()
 	{
@@ -108,5 +136,5 @@
 	{
 		alSourcePlay(Source);
-	
+
 	}
 }
Index: code/branches/FICN/src/hud/hud_overlay.cc
===================================================================
--- code/branches/FICN/src/hud/hud_overlay.cc	(revision 512)
+++ code/branches/FICN/src/hud/hud_overlay.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
@@ -74,5 +74,5 @@
 		OverlayElement* TimeText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/Time/Text");
 		TimeText->setCaption(StringConverter::toString(TimeMin) + ":" + StringConverter::toString(TimeSec));
-		
+
 		// set TargetWindow
 		String TargetWindowName = "HURRA";
@@ -81,5 +81,5 @@
 		int TargetWindowHitRating = 30;
 		OverlayElement* TargetWindowNameText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/Name");
-		TargetWindowNameText->setCaption( TargetWindowName);		
+		TargetWindowNameText->setCaption( TargetWindowName);
 		OverlayElement* TargetWindowDistanceText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/DistanceText");
 		TargetWindowDistanceText->setCaption(StringConverter::toString(TargetWindowDistance) + "km" );
@@ -88,10 +88,10 @@
 		OverlayElement* TargetWindowHitRatingText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/HitRatingText");
 		TargetWindowHitRatingText->setCaption(StringConverter::toString(TargetWindowHitRating) + "%" );
-		
+
 		// set Energy
 		int EnergyValue = 60.0;
 		OverlayElement* EnergyLength = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyBackground");
 		EnergyLength->setWidth((int)((double)60/(double)100*200));
-		
+
 		// set Shild
 		bool ShildLeftTopValue = true;
@@ -111,5 +111,5 @@
 		if (ShildRightBottomValue) ShildRightBottom->show();
 		else ShildRightBottom->hide();
-		
+
 		// set Rockets
 		int Rocket1 = 11;
@@ -125,8 +125,8 @@
 		OverlayElement* RocketNum4 = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum4");
 		RocketNum4->setCaption(StringConverter::toString(Rocket4));
-		
+
 		// set EnergyDistribution
 		double EnergyDistrPixelX = 100;
-		double EnergyDistrPixelY = 86;		
+		double EnergyDistrPixelY = 86;
 		double EnergyDistrShild = 32;
 		double EnergyDistrEngine = 50;
@@ -137,7 +137,7 @@
 		double EnergyDistrY = (double)EnergyDistrEngineInv/((double)EnergyDistrEngineInv+(double)EnergyDistrLaserInv) * EnergyDistrPixelY;
 		double EnergyDistrX = EnergyDistrY/1.7321;
-		
-		
-		
+
+
+
 		OverlayElement* EnergyDistrPoint = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyDistrPoint");
 //		EnergyDistrPoint->setLeft();
Index: code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.cc	(revision 512)
+++ code/branches/FICN/src/loader/LevelLoader.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include <string>
 #include <vector>
@@ -19,9 +46,9 @@
 {
 	valid_ = false;
-	
+
 	// Load XML level file
 	path.append("/");
-	path.append(file);	
-	
+	path.append(file);
+
 	// Open xml file
 	doc.LoadFile(path);
@@ -31,5 +58,5 @@
 	{
 		TiXmlHandle hDoc(&doc);
-		TiXmlHandle hRoot(0);		
+		TiXmlHandle hRoot(0);
 		TiXmlElement* pElem;
 
@@ -46,11 +73,11 @@
 			if (pElem)
 			{
-				description_ = pElem->GetText();	
+				description_ = pElem->GetText();
 			}
-			
+
 			// Set level name
 			name_ = rootElement->Attribute("name");
 			image_ = rootElement->Attribute("image");
-			
+
 			valid_ = true;
 		}
@@ -58,10 +85,10 @@
 		{
 			orxonox::Error("Level file has no valid root node");
-		}	
+		}
 	}
 	else
 	{
 		orxonox::Error("Could not load level file ");
-	}	
+	}
 }
 
@@ -74,6 +101,6 @@
 			TiXmlElement* tElem;
 			TiXmlNode* tNode;
-			
-			
+
+
 			// Set loading screen
 			loadElem = rootElement->FirstChildElement("loading");
@@ -99,15 +126,15 @@
 				showLoadingScreen();
 			}
-			
+
 			// Load audio
 			// TODO
-			
+
 			// Load scripts
 			// TODO
-			
+
 			// Load world
 			worldElem = rootElement->FirstChildElement("world");
 			if (worldElem)
-			{	
+			{
 				tNode = 0;
 				while( tNode = worldElem->IterateChildren( tNode ) )
@@ -116,11 +143,11 @@
 					orxonox::BaseObject* obj = ID(tElem->Value())->fabricate();
 					obj->loadParams(tElem);
-				}			
+				}
 			}
-			
-			std::cout << "Loading finished!\n\n\n\n\n";						
+
+			std::cout << "Loading finished!\n\n\n\n\n";
 		}
 	}
-	
+
 	void LevelLoader::showLoadingScreen()
 	{
@@ -129,21 +156,21 @@
 		std::cout << "Backgroundcolor: " << loadingBackgroundColor_ << "\nBackgroundimage:" << loadingBackgroundImage_ << "\n\n\n";
 	}
-	
+
 	LevelLoader::~LevelLoader()
 	{
 
 	}
-	
-	
+
+
 	string LevelLoader::name()
 	{
 		return this->name_;
 	}
-	
+
 	string LevelLoader::description()
 	{
 		return this->description_;
 	}
-	
+
 	string LevelLoader::image()
 	{
Index: code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include <fstream>
 #include <string>
Index: code/branches/FICN/src/orxonox/core/Error.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Error.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/core/Error.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "Error.h"
 
@@ -19,5 +46,5 @@
 							<< "############################ "<< std::endl
 							<< "An error occured in Orxonox: "<< std::endl;
-						
+
 		if (errorMsg=="")
 		{
Index: code/branches/FICN/src/orxonox/core/Factory.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Factory.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/core/Factory.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*!
     @file Factory.cc
Index: code/branches/FICN/src/orxonox/core/Identifier.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Identifier.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/core/Identifier.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*!
     @file Identifier.cc
Index: code/branches/FICN/src/orxonox/core/IdentifierList.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/IdentifierList.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/core/IdentifierList.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*!
     @file IdentifierList.cc
Index: code/branches/FICN/src/orxonox/core/MetaObjectList.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/MetaObjectList.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/core/MetaObjectList.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*!
     @file MetaObjectList.cc
Index: code/branches/FICN/src/orxonox/core/OrxonoxClass.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/OrxonoxClass.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/core/OrxonoxClass.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*!
     @file OrxonoxClass.cc
Index: code/branches/FICN/src/orxonox/hud/hud_overlay.cc
===================================================================
--- code/branches/FICN/src/orxonox/hud/hud_overlay.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/hud/hud_overlay.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
@@ -74,5 +74,5 @@
 		OverlayElement* TimeText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/Time/Text");
 		TimeText->setCaption(StringConverter::toString(TimeMin) + ":" + StringConverter::toString(TimeSec));
-		
+
 		// set TargetWindow
 		String TargetWindowName = "HURRA";
@@ -81,5 +81,5 @@
 		int TargetWindowHitRating = 30;
 		OverlayElement* TargetWindowNameText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/Name");
-		TargetWindowNameText->setCaption( TargetWindowName);		
+		TargetWindowNameText->setCaption( TargetWindowName);
 		OverlayElement* TargetWindowDistanceText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/DistanceText");
 		TargetWindowDistanceText->setCaption(StringConverter::toString(TargetWindowDistance) + "km" );
@@ -88,10 +88,10 @@
 		OverlayElement* TargetWindowHitRatingText = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/TargetWindow/HitRatingText");
 		TargetWindowHitRatingText->setCaption(StringConverter::toString(TargetWindowHitRating) + "%" );
-		
+
 		// set Energy
 		int EnergyValue = 60.0;
 		OverlayElement* EnergyLength = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyBackground");
 		EnergyLength->setWidth((int)((double)60/(double)100*200));
-		
+
 		// set Shild
 		bool ShildLeftTopValue = true;
@@ -111,5 +111,5 @@
 		if (ShildRightBottomValue) ShildRightBottom->show();
 		else ShildRightBottom->hide();
-		
+
 		// set Rockets
 		int Rocket1 = 11;
@@ -125,8 +125,8 @@
 		OverlayElement* RocketNum4 = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/RocketNum4");
 		RocketNum4->setCaption(StringConverter::toString(Rocket4));
-		
+
 		// set EnergyDistribution
 		double EnergyDistrPixelX = 100;
-		double EnergyDistrPixelY = 86;		
+		double EnergyDistrPixelY = 86;
 		double EnergyDistrShild = 32;
 		double EnergyDistrEngine = 50;
@@ -137,7 +137,7 @@
 		double EnergyDistrY = (double)EnergyDistrEngineInv/((double)EnergyDistrEngineInv+(double)EnergyDistrLaserInv) * EnergyDistrPixelY;
 		double EnergyDistrX = EnergyDistrY/1.7321;
-		
-		
-		
+
+
+
 		OverlayElement* EnergyDistrPoint = OverlayManager::getSingleton().getOverlayElement("Orxonox/HUD1.2/EnergyDistrPoint");
 //		EnergyDistrPoint->setLeft();
Index: code/branches/FICN/src/orxonox/hud/test_overlay.cc
===================================================================
--- code/branches/FICN/src/orxonox/hud/test_overlay.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/hud/test_overlay.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/inertial_node.cc
===================================================================
--- code/branches/FICN/src/orxonox/inertial_node.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/inertial_node.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include <OgreSceneManager.h>
 #include <string>
@@ -25,8 +52,8 @@
     {
     	Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-    	
+
     	if (xmlElem->Attribute("colourvalue"))
     	{
-	    	
+
 	    	std::vector<std::string> colourvalues = tokenize(xmlElem->Attribute("colourvalue"),",");
 	    	float r, g, b;
@@ -34,9 +61,9 @@
 	    	String2Number<float>(g, colourvalues[1]);
 	    	String2Number<float>(b, colourvalues[2]);
-	    	 
+
 	    	mgr->setAmbientLight(ColourValue(r,g,b));
-	    	
+
 	    	std::cout << "Loader: Set ambient light: "<<r<<" " << g << " " << b  << std::endl << std::endl;
-    	}   	
+    	}
    }
 }
Index: code/branches/FICN/src/orxonox/objects/BaseObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 /*!
     @file BaseObject.cc
Index: code/branches/FICN/src/orxonox/objects/Skybox.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/objects/Skybox.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include <OgreSceneManager.h>
 #include <string>
@@ -25,12 +52,12 @@
     {
     	Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-    	
+
     	if (xmlElem->Attribute("src"))
     	{
     		std::string skyboxSrc = xmlElem->Attribute("src");
 	    	mgr->setSkyBox(true, skyboxSrc);
-	    	
+
 	    	std::cout << "Loader: Set skybox: "<< skyboxSrc << std::endl << std::endl;
-    	}   	
+    	}
    }
 }
Index: code/branches/FICN/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/objects/WorldEntity.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include <string>
 #include <sstream>
Index: code/branches/FICN/src/orxonox/orxonox_scene.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox_scene.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/orxonox_scene.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
@@ -143,5 +143,5 @@
 
 	  lightNode_->setPosition(radius_*sin(5*t), radius_*cos(5*t), sin(1*t)*distance_);
-  	
+
 	  light_->setDiffuseColour(sin(1*t), sin(1*t + 2.09), sin(1*t + 2.09*2));
 	  light_->setSpecularColour(sin(1*t), sin(1*t + 2.09), sin(1*t + 2.09*2));
@@ -149,5 +149,5 @@
 	  bbs_->getBillboard(0)->setColour(ColourValue(sin(1*t),
           sin(1*t + 2.09), sin(1*t + 2.09*2)));
-    
+
     return true;
   }
Index: code/branches/FICN/src/orxonox/orxonox_ship.cc
===================================================================
--- code/branches/FICN/src/orxonox/orxonox_ship.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/orxonox_ship.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
@@ -52,5 +52,5 @@
   /**
   * Base class for any kind of flyable ship in Orxonox.
-  * 
+  *
   * The ship offers steering methods (like left, right, etc.) and translates
   * them into movement. A ship can also hold more than one weapons (where each
Index: code/branches/FICN/src/orxonox/run_manager.cc
===================================================================
--- code/branches/FICN/src/orxonox/run_manager.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/run_manager.cc	(revision 513)
@@ -1,27 +1,28 @@
 /*
-*   ORXONOX - the hottest 3D action shooter ever to exist
-*
-*
-*   License notice:
-*
-*   This program is free software: you can redistribute it and/or modify
-*   it under the terms of the GNU General Public License as published by
-*   the Free Software Foundation, either version 3 of the License, or
-*   (at your option) any later version.
-*
-*   This program is distributed in the hope that it will be useful,
-*   but WITHOUT ANY WARRANTY; without even the implied warranty of
-*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*   GNU General Public License for more details.
-*
-*   You should have received a copy of the GNU General Public License
-*   along with this program.  If not, see <http://www.gnu.org/licenses/>.
-*
-*
-*   Author:
-*      Reto Grieder
-*   Co-authors:
-*      ...
-*/
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Reto Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
 
 
@@ -66,5 +67,5 @@
   /**
   * RunManager is the basic control object during the game.
-  * 
+  *
   * The RunManger class is designed to actually "run" the main part of the
   * game. The Idea is, that you could derive from the RunManager in order
@@ -151,5 +152,5 @@
     // HUMAN INTERFACE
 
-    using namespace OIS;    
+    using namespace OIS;
 
     LogManager::getSingletonPtr()->logMessage("*** Initializing OIS ***");
@@ -212,9 +213,9 @@
   /**
   * Method to compute anything between 2 frames.
-  * 
+  *
   * Everything that needs to be computed during the games happens right here.
   * The only exception are the listeners (which should only set variables,
   * not actually do something).
-  * 
+  *
   * @param time Absolute play time
   * @param deltaTime Time passed since last frame
Index: code/branches/FICN/src/orxonox/spaceship_steering.cc
===================================================================
--- code/branches/FICN/src/orxonox/spaceship_steering.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/spaceship_steering.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "Ogre.h"
 #include "spaceship_steering.h"
Index: code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/weapon/ammunition_dump.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
@@ -65,5 +65,5 @@
   }
 
-  
+
   int AmmunitionDump::store(const Ogre::String &name, int quantity)
   {
Index: code/branches/FICN/src/orxonox/weapon/barrel_gun.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/barrel_gun.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/weapon/barrel_gun.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/base_weapon.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/base_weapon.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/weapon/base_weapon.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/bullet.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/weapon/bullet.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/bullet_manager.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/bullet_manager.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/weapon/bullet_manager.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/orxonox/weapon/weapon_station.cc
===================================================================
--- code/branches/FICN/src/orxonox/weapon/weapon_station.cc	(revision 512)
+++ code/branches/FICN/src/orxonox/weapon/weapon_station.cc	(revision 513)
@@ -5,8 +5,8 @@
  *   License notice:
  *
- *   This program is free software: you can redistribute it and/or modify
- *   it under the terms of the GNU General Public License as published by
- *   the Free Software Foundation, either version 3 of the License, or
- *   (at your option) any later version.
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
  *
  *   This program is distributed in the hope that it will be useful,
@@ -16,6 +16,6 @@
  *
  *   You should have received a copy of the GNU General Public License
- *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
- *
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
  *   Author:
Index: code/branches/FICN/src/particle/ParticleInterface.cc
===================================================================
--- code/branches/FICN/src/particle/ParticleInterface.cc	(revision 512)
+++ code/branches/FICN/src/particle/ParticleInterface.cc	(revision 513)
@@ -1,2 +1,29 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "ParticleInterface.h"
 #include <Ogre.h>
@@ -22,5 +49,5 @@
 	{
 		sceneManager_ = sceneManager;
-		particleSystem_ = sceneManager->createParticleSystem(name, templateName);	
+		particleSystem_ = sceneManager->createParticleSystem(name, templateName);
 
 		//Variabeln einlesen, Emitter1_ ist Referenz-Emitter
@@ -52,5 +79,5 @@
 	}
 
-	void ParticleInterface::dettachFromSceneNode ( void ) 
+	void ParticleInterface::dettachFromSceneNode ( void )
 	{
 		sceneNode_->detachObject(particleSystem_);
@@ -58,5 +85,5 @@
 	}
 
-	Real ParticleInterface::getVelocity() 
+	Real ParticleInterface::getVelocity()
 	{
 		return velocity_;
